<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        DB::statement(<<<SQL
            ALTER TABLE process_orders
            ALTER COLUMN received_quantity TYPE NUMERIC(10,3)
            USING received_quantity::NUMERIC(10,3);
        SQL);

        // order_quantity → NUMERIC(10,6)

        DB::statement(<<<SQL
            ALTER TABLE process_orders
            ALTER COLUMN order_quantity TYPE NUMERIC(10,3)
            USING order_quantity::NUMERIC(10,3);
        SQL);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // Schema::table('process_orders', function (Blueprint $table) {
        //     //
        // });
    }
};
